/*****************************************************************************
**  This is part of the CTSim program
**  Copyright (C) 1983-2000 Kevin Rosenberg
**
**  $Id: drawbox.cpp,v 1.2 2000/06/19 19:04:05 kevin Exp $
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License (version 2) as
**  published by the Free Software Foundation.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
******************************************************************************/

/* NAME
 *   sgp2_draw_rect				Draw box in graphics mode
 *
 * SYNOPSIS
 *   drawbox (xmin, ymin, xmax, ymax)
 *   double xmin, ymin			Lower left corner of box
 *   double xmax, ymax			Upper left corner of box
 *
 * NOTES
 *   This routine leaves the current position of graphic cursor at lower
 *   left corner of box.
 */

#include "sgp.h"

void
sgp2_draw_rect(double xmin, double ymin, double xmax, double ymax)
{
	sgp2_move_abs (xmin, ymin);
	sgp2_line_abs (xmax, ymin);
	sgp2_line_abs (xmax, ymax);
	sgp2_line_abs (xmin, ymax);
	sgp2_line_abs (xmin, ymin);
}
